%define srcname beclock-kwin-fx
%define kde_version 2:4.8.2

Summary:	A simple clock, implemented as KWin Effect
Name:		kwin-effect-beclock
Version:	0.18
Release:	%mkrel 2
Source0:	http://www.kde-look.org/CONTENT/content-files/117542-%{srcname}-%version.txz
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		http://kde-apps.org/content/show.php/BeClock?content=117542
BuildRequires:	kdebase4-workspace-devel >= %kde_version

Requires:	kdebase4-workspace >= %kde_version
Provides:	kwin-effect
Provides:	beclock-kwin-fx


%description 
A simple clock, implemented as KWin Effect 

%files 
%{_kde_libdir}/kde4/*
%{_kde_services}/kwin/beclock.desktop
%{_kde_services}/kwin/beclock_config.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%version

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.18-2.mga3
+ Revision: 356597
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 15 2012 dglent <dglent> 0.18-1.mga2
+ Revision: 230948
- New version 0.18

* Sat Dec 24 2011 mikala <mikala> 0.14-4.mga2
+ Revision: 187246
- Remove defattr() & clean section
  Rebuild for kde 4.7.95

* Thu Jul 14 2011 mikala <mikala> 0.14-3.mga2
+ Revision: 124112
- Rebuild for KDE SC 4.6.95
- Relaxe requires

* Wed Jun 29 2011 mikala <mikala> 0.14-2.mga2
+ Revision: 115932
- Rebuild for new kdebase-workspace
- Remove BuildRoot

* Tue Jun 14 2011 mikala <mikala> 0.14-1.mga2
+ Revision: 106321
- Update tarball to 14
- imported package kwin-effect-beclock

